Description

Hi Guys,

I'm having an issue with DHCP which cannot add a host to the leases file.

I'm having various issues like

- "Mac address already exists" in the proxy log

- "Invalid Mac" in the GUI

Which I can moslty fix by removing the non-hostname entries which the DHCP server gives out by mac-address. EVen a restart of

the whole server is needed from time to time.

What I have now is that my scope runs from 10.80.1.11 - 240 where every time I create a new host when non is in that subnet it

starts with .12 In FM as in the DHCP server the scope starts at .11 and I get the following message in the proxylog when I add a

host:

E, [2014-08-10T19:45:51.146138 #1266] ERROR -- : Failed to add DHCP reservation for servername.domain.local (10.80.1.11 /

00:1a:4a:a8:0c:40): Entry already exists

The strange thing is that this entry doesn't exist at all, not the Mac-addres nor the IP.

I'm running my DHCP on Ubunty Trusty with ISC DHCP server

History

#1 - 08/11/2014 03:37 AM - Yama Kasi

I did another test on a different subdomain I use and I get the following as earlier mentioned:

E, [2014-08-11T09:33:46.060451 #5812] ERROR -- : Hardware address conflict.

#2 - 08/11/2014 03:40 AM - Dominic Cleal

- Project changed from Foreman to Smart Proxy

- Category changed from DHCP to DHCP

- Priority changed from Urgent to Normal

It may help to show full debug level logs, and attach all DHCP config files and the leases file.

#3 - 08/11/2014 07:54 AM - Yama Kasi

I have examined the logs very well and there was really no clue so far.

I installed a new proxy with CentOS 6.5 as all proxies will be on CentOS in that case and it works directly without any issue.

The only problem might have been that there was a double line for the leases file in the settings.yml which existed after an upgrade, I never seen it

before there.
It might be needed to review Debian/Ubuntu to be sure!

#4 - 08/11/2014 08:03 AM - Dominic Cleal

- Status changed from New to Rejected

Ok, closing this then.  To find the root cause for bug reports, we need complete data else you'll probably need to identify the bug yourself...

#5 - 08/11/2014 08:14 AM - Yama Kasi

If I find time soon I will do a new proxy install in Ubuntu to see what happens.

To be honest, there was nothing to refer to as the logs where showing nothing special, just the message that it existed when it didn't.
